# Exchange username and password for JWT token

Endpoint: POST /compliance/auth/token
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Query parameters:

  - `companyId` (string)
    The unique company identifier.

  - `domain` (string)
    A valid domain associated with a company

  - `userType` (string)
    User type.

  - `authType` (string)
    The authentication type to explicitly use

  - `authValueType` (string)
    The authentication value type to explicitly use

## Request fields (application/json):

  - `password` (string)
    The password to authenticate with.

  - `username` (string)
    The username to authenticated. This can be a username or an email, depending on the configuration.

  - `exchangeToken` (string)
    Temporary exchange token generated by the /auth/exchange-token endpoint.

## Response 200 fields (application/json):

  - `token` (string, required)

